2017-10-18 13:25 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001686v3.4 Release (Cleanup)Gantt Chart Generationpublic2016-12-31 11:48
Reporterstevez 
Assigned Tocaseydk 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version 
Target VersionFixed in Version 
Summary0001686: Gantt Chart JPGraph PHP Error (owner_ids)
Descriptionhttp://support.web2project.net/questions/675/320-gantt-chart-jpgraph-php-error.html
Steps To Reproducefrom projects display, invoke gantt chart on all projects (or any subset)
Additional InformationThe condition which sets the variable $owner_ids isn't always met therefore $owner_ids doesn't get set consistently. The addition of an "else" remedies this:

Line 39-47 needs to be replace with this:

/*
** Load department info for the case where one
** wants to see the ProjectsWithOwnerInDeparment (PwOiD)
** instead of the projects related to the given department.
*/

if ($addPwOiD && $department > 0) {
    $owner_ids = __extract_from_projects_gantt($department);
} else {
    $owner_ids = 0;
}
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003868

caseydk (administrator)

Resolved (pretty much) as described:

https://github.com/web2project/web2project/commit/842f0acdb8f4d3f23ca6964633672666ec1d500f
+Notes

-Issue History
Date Modified Username Field Change
2016-02-05 18:59 stevez New Issue
2016-12-26 23:34 caseydk Project v3.3 Release (Current) => v3.4 Release (Cleanup)
2016-12-31 01:00 caseydk Priority normal => high
2016-12-31 11:48 caseydk Assigned To => caseydk
2016-12-31 11:48 caseydk Status new => resolved
2016-12-31 11:48 caseydk Resolution open => fixed
2016-12-31 11:48 caseydk Note Added: 0003868
+Issue History